import { useDeviceManagement } from './use-device-management';
import { useDeviceSelection } from './use-device-selection';

export const useDeviceTree = () => {
  const deviceSelection = useDeviceSelection();
  const deviceManagement = useDeviceManagement();

  return {
    ...deviceSelection,
    ...deviceManagement,
  };
};

export type UseDeviceTreeReturn = ReturnType<typeof useDeviceTree>;
